> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Mobile Voice Connections

> Retrieve a paginated list of mobile voice connections on your account.



## OpenAPI

````yaml /openapi/source/external/mobile_voice_connections/mobile_voice_connections.json get /v2/mobile_voice_connections
openapi: 3.1.0
info:
  version: 2.0.0
  x-latency-category: responsive
  x-endpoint-cost: light
  title: Telnyx API
  description: SIP trunking, SMS, MMS, Call Control and Telephony Data Services.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com
    description: Version 2.0.0 of the Telnyx API
security:
  - bearerAuth: []
tags:
  - name: Mobile Voice Connections
    description: Mobile voice connection operations
paths:
  /v2/mobile_voice_connections:
    get:
      tags:
        - Mobile Voice Connections
      summary: List Mobile Voice Connections
      description: Retrieve a paginated list of mobile voice connections on your account.
      operationId: listMobileVoiceConnections
      parameters:
        - name: page[number]
          in: query
          description: The page number to load
          schema:
            type: integer
        - name: page[size]
          in: query
          description: The size of the page
          schema:
            type: integer
        - name: filter[connection_name][contains]
          in: query
          description: Filter by connection name containing the given string
          schema:
            type: string
        - name: sort
          in: query
          description: >-
            Sort by field (e.g., created_at, connection_name, active). Prefix
            with - for descending order.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/MobileVoiceConnection'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
        '401':
          description: Unauthorized
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const mobileVoiceConnection of
            client.mobileVoiceConnections.list()) {
              console.log(mobileVoiceConnection.id);
            }
        - lang: Python
          source: |
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.mobile_voice_connections.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.MobileVoiceConnections.List(context.TODO(), telnyx.MobileVoiceConnectionListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.mobilevoiceconnections.MobileVoiceConnectionListPage;

            import
            com.telnyx.sdk.models.mobilevoiceconnections.MobileVoiceConnectionListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    MobileVoiceConnectionListPage page = client.mobileVoiceConnections().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.mobile_voice_connections.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->mobileVoiceConnections->list(
                filterConnectionNameContains: 'filter[connection_name][contains]',
                pageNumber: 0,
                pageSize: 0,
                sort: 'sort',
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx mobile-voice-connections list \
              --api-key 'My API Key'
components:
  schemas:
    MobileVoiceConnection:
      type: object
      properties:
        id:
          type: string
          description: Identifies the resource.
          readOnly: true
        record_type:
          type: string
          description: Identifies the type of the resource.
          example: mobile_voice_connection
          enum:
            - mobile_voice_connection
          readOnly: true
        active:
          type: boolean
          description: Indicates if the connection is active.
        connection_name:
          type: string
          description: The name of the connection.
        tags:
          type: array
          items:
            type: string
          description: A list of tags associated with the connection.
        webhook_event_url:
          type:
            - string
            - 'null'
          description: The URL where webhooks are sent.
        webhook_event_failover_url:
          type:
            - string
            - 'null'
          description: The failover URL where webhooks are sent.
        webhook_api_version:
          type:
            - string
            - 'null'
          description: The API version for webhooks.
          enum:
            - '1'
            - '2'
        webhook_timeout_secs:
          type:
            - integer
            - 'null'
          description: The timeout for webhooks in seconds.
        outbound:
          type: object
          properties:
            channel_limit:
              type:
                - integer
                - 'null'
            outbound_voice_profile_id:
              type:
                - string
                - 'null'
        inbound:
          type: object
          properties:
            channel_limit:
              type:
                - integer
                - 'null'
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
        total_results:
          type: integer
        page_number:
          type: integer
        page_size:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````